Subject: Re: [dnsext] another hornets nest

From: Alfred Hönes <[email-masked]>
Date: Fri, 9 Jan 2009 19:37:31 +0100 (MEZ)

Folks,

Edward Lewis wrote:

> Title: another hornets nest
> In http://www.iana.org/assignments/dns-parameters there is this text:
>
> # Note: In [RFC1002], two types are defined.  It is not clear that these
> # are in use, though if so their assignment does conflict with those above.
> #     NB        32      NetBIOS general Name Service
> #     NBSTAT    33      NetBIOS NODE STATUS
>
> For reference, in RFC 1002:
>
> ...
>
> #   NB         0x0020   NetBIOS general Name Service Resource Record
> #                       (See NB_FLAGS and NB_ADDRESS, below)
> #   NBSTAT     0x0021   NetBIOS NODE STATUS Resource Record (See NODE
> #                       STATUS RESPONSE)
>
> The A, NS, and NULL record are still around and appear in other RFCs.
> But NB and NBSTAT apparently have been forgotten.
>
> To clean up the IANA registry, should RFC 1002 be moved to historic,
> with it's "claims" to 0x20 and 0x21 (decimal 32 and 33) relinquished?

This is a long-standing issue.

I already hit that hornets nest, and tried to trigger a clean-up,
quite long ago.  However, there are powerful forces at work:

a)  RFC 1002 still is part of  STD 19   !!!

b)  Reportedly there's at least one well-known vendor still making
    use of the protocol [ sorry, I forgot it's name   :-}  ],
    including the use of these non-registered RR Types -- despite
    the collision with registered RR types.
    (The resulting trouble, however, seems to be rather limited,
    due to lack of deployment of the relevant part of RFC 1183.)

Countering a) would mean deprecating STD 19.
That means STD Action by the IESG.

Who is the responsible AD for NETBIOS ?  (We could ask Jari.)

BTW: (Hush!  That's one of the top-most secrets of the IETF!)
  RFC 2026 contains the obligation to properly maintain documents
  on the Standards Track, including promotion *and* demotion, if
  appropriate -- according to criteria like use and document quality.

Do we need an I-D "Moving STD 19 to Historic" ?

Some voices inside the current IESG prefer doing such Standards Actions
in a more lightweight process (which indeed exists, but is used rarely;
IIRC, currently one promotion from PS to DS is on the agenda...)

Regarding b), I obstain from commenting.

Kind regards,
  Alfred.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Edward Lewis <[email-masked]>
Date: Fri, 9 Jan 2009 14:35:31 -0500

>     use of the protocol [ sorry, I forgot it's name   :-}  ],

Well, we could try and move the other two types using 0x20 (32) and 
0x21...that being NIMLOC and some obscure thing called SRV.

Uh, nevermind.

>   appropriate -- according to criteria like use and document quality.

As mentioned in the subj: - hornets nest.

-- 
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Edward Lewis
NeuStar                    You can leave a voice message at +1-571-434-5468

Never confuse activity with progress.  Activity pays more.

---

From: Alfred Hönes <[email-masked]>
Date: Fri, 9 Jan 2009 21:40:29 +0100 (MEZ)

[Ed. Lewis noted:]
> 0x21...that being NIMLOC and some obscure thing called SRV.

Ooops! --  Edward, thanks fo the sublime hint.

I must have had hornets in my brain, arriving at other targets ...
I really should have been able to properly distinguish between decimal
and hexadecimal RR Types routinely, under normal circumstances.   :-( 

BTW:  The mention of "SRV" might ring the alarm bells at ogud.com  :-)

  Alfred.